Package twisted :: Package internet :: Module unix :: Class Client

[frames | no frames]

## Class Client

     Ephemeral --+
                 |
        Logger --+
                 |
    FileDescriptor --+
                     |
            Connection --+
                         |
                BaseClient --+
                             |
                            Client

A client for Unix sockets.

Method Summary
| `__init__(self, filename, connector, reactor, checkPID)`
| `getHost(self)`
| `getPeer(self)`
Inherited from BaseClient
| ``_connectDone`(self)`
| ``_finishInit`(self, whenDone, skt, error, reactor)` Called by base classes to continue to next stage of initialization.
| ``_setRealAddress`(self, address)`
| ``connectionLost`(self, reason)` See abstract.FileDescriptor.connectionLost().
| ``createInternetSocket`(self)` (internal) Create a non-blocking socket using self.addressFamily, self.socketType.
| ``doConnect`(self)` I connect the socket.
| ``failIfNotConnected`(self, err)`
| ``resolveAddress`(self)`
| ``startTLS`(self, ctx, client)`
| ``stopConnecting`(self)` Stop attempt to connect.
Inherited from Connection
| ``_closeSocket`(self)` Called to close our socket.
| ``_startTLS`(self)`
| ``doRead`(self)` Calls self.protocol.dataReceived with all available data.
| ``getHandle`(self)` Return the socket for this connection.
| ``getTcpKeepAlive`(self)`
| ``getTcpNoDelay`(self)`
| ``logPrefix`(self)` Return the prefix to log with when I own the logging thread.
| ``setTcpKeepAlive`(self, enabled)`
| ``setTcpNoDelay`(self, enabled)`
| ``writeSomeData`(self, data)` Connection.writeSomeData(data) -> #of bytes written | CONNECTION_LOST This writes as much data as possible to the socket and returns either the number of bytes read (which is positive) or a connection error code (which is negative)
Inherited from FileDescriptor
| ``_postLoseConnection`(self)` Called after a loseConnection(), when all data has been written.
| ``doWrite`(self)` Called when data is available for writing.
| ``fileno`(self)` File Descriptor number for select().
| ``loseConnection`(self)` Close the connection at the next available opportunity.
| ``pauseProducing`(self)`
| ``registerProducer`(self, producer, streaming)` Register to receive data from a producer.
| ``resumeProducing`(self)`
| ``startReading`(self)` Start waiting for read availability.
| ``startWriting`(self)` Start waiting for write availability.
| ``stopConsuming`(self)` Stop consuming data.
| ``stopProducing`(self)`
| ``stopReading`(self)` Stop waiting for read availability.
| ``stopWriting`(self)` Stop waiting for write availability.
| ``unregisterProducer`(self)` Stop consuming data from a producer, without disconnecting.
| ``write`(self, data)` Reliably write some data.
| ``writeSequence`(self, iovec)`
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
`int` | `addressFamily` = 1
`int` | `socketType` = 1
Inherited from Connection
`tuple` | `__implements__` = `((<class twisted.internet.interfaces.IP...`
`str` | `logstr` = `'Uninitialized'`
`int` | `TLS` = 0
Inherited from FileDescriptor
`int` | `bufferSize` = 65536
`int` | `connected` = 0
`str` | `dataBuffer` = `''`
`int` | `disconnected` = 0
`int` | `disconnecting` = 0
`int` | `offset` = 0
`NoneType` | `producer` = None
`int` | `producerPaused` = 0
`int` | `streamingProducer` = 0

Class Variable Details

### addressFamily

  Type:
    `int`
  Value:

        1

### socketType

  Type:
    `int`
  Value:

        1

Generated by Epydoc 2.0 on Sat May 15 20:08:25 2004 | http://epydoc.sf.net